Skip to main content
GET
/
api
/
v0
/
instances
show instances
curl --request GET \
  --url https://console.vast.ai/api/v0/instances/ \
  --header 'Authorization: Bearer <token>'
{
  "instances_found": 11,
  "instances": [
    {
      "id": 312,
      "actual_status": "running",
      "cur_state": "running",
      "next_state": "running",
      "intended_status": "running",
      "label": "ML Training Job 2025",
      "template_id": 2048,
      "template_hash_id": "abcde12345",
      "template_name": "Tensorflow GPU Template",
      "image_uuid": "nvidia/cuda:11.0.3-devel-ubuntu18.04",
      "image_args": [
        "bash",
        "-c",
        "apt update; apt install -y wget libpci3 xz-utils; wget ..."
      ],
      "image_runtype": "ssh ssh_direc ssh_proxy",
      "extra_env": [
        [
          "DOG",
          "CAT"
        ],
        [
          "-p 70001:70001",
          "1"
        ],
        [
          "-p 70002:70002",
          "1"
        ]
      ],
      "onstart": "echo 'hello'; echo $DOG; echo 'goodbye';",
      "jupyter_token": "df77e27085bd4b3bd5d9024bdefb9e6df614b27adb0689e9d8f066fce5e01f0c",
      "status_msg": "success, running nvidia/cuda_11.0.3-devel-ubuntu18.04/ssh",
      "public_ipaddr": "192.0.2.45",
      "local_ipaddrs": "10.0.0.5 172.17.0.2",
      "ssh_host": "ssh123.vast.ai",
      "ssh_idx": "6",
      "ssh_port": 10600,
      "machine_dir_ssh_port": 21000,
      "machine_id": 12,
      "start_date": 1668804745.1223178,
      "end_date": 1735689600,
      "uptime_mins": null,
      "duration": -25323348.860099316,
      "cpu_arch": "amd64",
      "cpu_cores": 4,
      "cpu_cores_effective": 4,
      "cpu_name": "Core™ i5-6500",
      "cpu_ram": 15989,
      "cpu_util": 0,
      "mem_limit": 15.71815424,
      "mem_usage": 0.00996352,
      "vmem_usage": 0.543945,
      "gpu_name": "GTX 1070",
      "gpu_arch": "nvidia",
      "gpu_totalram": 16222,
      "gpu_ram": 8111,
      "gpu_util": 0,
      "gpu_temp": 38.999981,
      "gpu_frac": 1,
      "gpu_lanes": 16,
      "gpu_mem_bw": 187.1,
      "bw_nvlink": 0,
      "disk_name": "Seagate ST4000DM000",
      "disk_space": 10.08,
      "disk_bw": 159.98852679060644,
      "disk_util": 0.05400000140070915,
      "disk_usage": 0.05400000140070915,
      "direct_port_count": 1001,
      "direct_port_start": 20000,
      "direct_port_end": 20002,
      "ports": {
        "8888/tcp": [
          {
            "HostIp": "0.0.0.0",
            "HostPort": "8888"
          }
        ],
        "22/tcp": [
          {
            "HostIp": "0.0.0.0",
            "HostPort": "20000"
          }
        ]
      },
      "static_ip": false,
      "geolocation": "California, United States",
      "verification": "verified",
      "rentable": true,
      "host_id": 7,
      "min_bid": 0.296,
      "is_bid": false,
      "dph_base": 0.8,
      "dph_total": 0.8021,
      "dlperf": null,
      "dlperf_per_dphtotal": null,
      "flops_per_dphtotal": 15.41170427627478,
      "total_flops": 12.361728000000001,
      "score": null,
      "reliability2": 0.9686655,
      "os_version": null,
      "mobo_name": "Z170M Extreme4",
      "pci_gen": 3,
      "pcie_bw": 11.6,
      "num_gpus": 2,
      "webpage": null,
      "search": {
        "gpuCostPerHour": 0.8,
        "diskHour": 0.0021,
        "totalHour": 0.8021,
        "discountTotalHour": 0,
        "discountedTotalPerHour": 0.8013181279189862
      },
      "instance": {
        "gpuCostPerHour": 0.8,
        "diskHour": 0.001318127918986086,
        "totalHour": 0.8021,
        "discountTotalHour": 0,
        "discountedTotalPerHour": 0.5034620970565428
      },
      "storage_cost": 0.15,
      "storage_total_cost": 0.0021,
      "vram_costperhour": 0.00004944519787942301,
      "credit_balance": 4792.991450253207,
      "credit_discount": 0.3723200385780543,
      "credit_discount_max": 0.4,
      "client_run_time": 100000000,
      "host_run_time": 1,
      "external": false,
      "time_remaining": "12 Mon 24 D 16 Hr",
      "time_remaining_isbid": "11 Mon 26 D 6 Hr",
      "country_code": null,
      "volume_info": []
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://vastai-80aa3a82-rate-limit-change.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key must be provided in the Authorization header

Response

Success response with user instances

instances_found
integer

Number of instances found for the user.

Example:

11

instances
object[]

List of instance objects.